#
# Xenomai Real-Time System
#
# Copyright (c) Siemens AG, 2022-2023
#
# Authors:
#  Jan Kiszka <jan.kiszka@siemens.com>
#
# SPDX-License-Identifier: MIT
#

build-6.1:qemu-amd64:
  extends: .build:qemu-amd64
  variables:
    LINUX_BUILD_OPTION: ":opt-linux-latest-6.1.yml"
    KERNEL_VERSION: "6.1"
    CACHE_KERNEL: dovetail

lava-test-6.1:qemu-amd64:
  needs: [ "build-6.1:qemu-amd64" ]
  extends: .lava-test:qemu-amd64
  variables:
    KERNEL_VERSION: "6.1"

build-6.1:qemu-armhf:
  extends: .build:qemu-armhf
  variables:
    LINUX_BUILD_OPTION: ":opt-linux-latest-6.1.yml"
    KERNEL_VERSION: "6.1"
    CACHE_KERNEL: dovetail

lava-test-6.1:qemu-armhf:
  needs: [ "build-6.1:qemu-armhf" ]
  extends: .lava-test:qemu-armhf
  variables:
    KERNEL_VERSION: "6.1"

build-6.1:qemu-arm64:
  extends: .build:qemu-arm64
  variables:
    LINUX_BUILD_OPTION: ":opt-linux-latest-6.1.yml"
    KERNEL_VERSION: "6.1"
    CACHE_KERNEL: dovetail

lava-test-6.1:qemu-arm64:
  needs: [ "build-6.1:qemu-arm64" ]
  extends: .lava-test:qemu-arm64
  variables:
    KERNEL_VERSION: "6.1"

build-6.1:hikey:
  extends: .build:hikey
  variables:
    LINUX_BUILD_OPTION: ":opt-linux-latest-6.1.yml"
    KERNEL_VERSION: "6.1"
    CACHE_KERNEL: dovetail

lava-test-6.1:hikey:
  needs: [ "build-6.1:hikey" ]
  extends: .lava-test:hikey
  variables:
    KERNEL_VERSION: "6.1"

build-6.1:beagle-bone-black:
  extends: .build:beagle-bone-black
  variables:
    LINUX_BUILD_OPTION: ":opt-linux-latest-6.1.yml"
    KERNEL_VERSION: "6.1"
    CACHE_KERNEL: dovetail

lava-test-6.1:beagle-bone-black:
  needs: [ "build-6.1:beagle-bone-black" ]
  extends: .lava-test:beagle-bone-black
  variables:
    KERNEL_VERSION: "6.1"

build-6.1:x86-64-efi:
  extends: .build:x86-64-efi
  variables:
    LINUX_BUILD_OPTION: ":opt-linux-latest-6.1.yml"
    KERNEL_VERSION: "6.1"
    CACHE_KERNEL: dovetail

lava-test-6.1:x86-64-efi:
  needs: [ "build-6.1:x86-64-efi" ]
  extends: .lava-test:x86-64-efi
  variables:
    KERNEL_VERSION: "6.1"
